package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno2.corp.CorpFuncMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.CorpFuncService;

/**
 * 说明：企业功能管理
 * 作者：luoxiaobao
 * 时间：2021-06-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CorpFuncServiceImpl implements CorpFuncService{

	@Autowired
	private CorpFuncMapper corpfuncMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		corpfuncMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		corpfuncMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		corpfuncMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> corplist(Page page)throws Exception{
		return corpfuncMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return corpfuncMapper.listAll(pd);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listCheckAll(PageData pd)throws Exception{
		return corpfuncMapper.listCheckAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return corpfuncMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		corpfuncMapper.deleteAll(ArrayDATA_IDS);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteByFunc(PageData pd)throws Exception{
		corpfuncMapper.deleteByFunc(pd);
	}

}

